import GoogleCalendar from './GoogleCalendar';
import GameSource from './GameSource';
import fs from 'fs';
import Ics from './Ics';


class App {
  googleCalendar: GoogleCalendar;
  gameSource: GameSource;
  ics: Ics;
  googleToken: string;

  constructor() {
    this.googleCalendar = new GoogleCalendar();
    this.gameSource = new GameSource();
    this.ics = new Ics();
    
  }

  async init() {
    console.log("INIT APP")
    await this.googleCalendar.init();
  }

  async getNewGamesAndUpdateCalendar() {
    console.log("GET NEW GAMES AND UPDATE CALENDAR")
    const games = await this.gameSource.getGamesFromHaifa();
    this.googleCalendar.updateNewEvent(games);
  }
}

const app = new App();

const start = async () => {
  const outputFileLocation = 'maccabi-haifa-fc.ics';
  const games = await app.gameSource.getGamesFromHaifa();
  const icsEvents = app.ics.generateIcsOutputFromGames(games);
  fs.writeFileSync(outputFileLocation, icsEvents);
}

start();